/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package pe.siso.horario.DAO;

import java.util.ArrayList;

import pe.siso.horario.Beans.Usuario;

/**
 *
 * @author fcelestino
 */
public interface UsuarioDAO {
    public int validarUsuario(String usuario, String clave) throws Exception;
    public Usuario consultar(String usuario, String clave) throws Exception;
    public ArrayList<Usuario> listarUsuariosDirage() throws Exception;
    public ArrayList<Usuario> listarUsuariosSede() throws Exception;
    public int registrarUsuarioDirage(String nombreDirage,String Clave) throws Exception;
    public int registrarUsuarioSede(String nombreUsuSede,String Clave,String codloc) throws Exception;
   
    public void cambiarEstado(String dato, String codigoUsuario) throws Exception;
    public Usuario NombreUsuario(String codigoUsuario) throws Exception;
    public void actualizar(String codigoUsuario, String nombre,String clave) throws Exception;
    public void actualizar(String codigoUsuario, String nombre,String clave, String codLocal) throws Exception;
    public void Estado(String dato,String codigoUsuario) throws Exception;
    public ArrayList<Usuario> cargarSede() throws Exception;
    public ArrayList<Usuario> listarUsuarioDirector() throws Exception;
    public int registrarUsuarioDirector(String nombreUsuSede,String Clave,String codloc) throws Exception;
    public int registrarUsuarioObservador(String nombreUsuSede,String Clave,String codloc) throws Exception;
}
